import socket

# 创建 socket
server_socket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

# 绑定地址和端口
server_address = ('199.9.10.109', 8888)
server_socket.bind(server_address)

# 监听连接
server_socket.listen(5)

print("服务器正在监听端口 8888...")

while True:
    try:
        # 等待客户端连接
        client_socket, client_address = server_socket.accept()
        print("接受来自", client_address, "的连接")

        # 读取客户端数据
        while True:
            data = client_socket.recv(1024)
            if not data:
                # 客户端断开连接
                print("客户端断开连接")
                break

            # 处理接收到的数据
            print("收到数据:", data.decode('utf-8'))

    except ConnectionResetError:
        # 客户端断开连接时的异常处理
        print("客户端强制断开连接")
        break

    finally:
        # 关闭连接
        client_socket.close()

# 关闭服务器 socket
server_socket.close()
print("服务端关闭")
